Message: Re: Error linking examples: skipping incompatible /usr/X11R6/lib/libXmu.a when searching for -lXmu Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

None Re: Error linking examples: skipping incompatible /usr/X11R6/lib/libXmu.a when searching for -lXmu 

Keywords: Installation x86_64-suse-linux exampleN01
Forum: Installation and Configuration
Re: None Error linking examples: skipping incompatible /usr/X11R6/lib/libXmu.a when searching for -lXmu (David Wright)
Date: 23 Aug, 2007
From: Ben Morgan <Ben Morgan>

Hi David,

Your system is 64bit, therefore the G4 libs and applications are compiled in 64bit mode, but the linker is picking up the 32bit mode X libs (hence the 'skipping incompatible' error message).

You've got, I think, SuSE 10.1? If that's the case the 32bit libraries are in /usr/X11R6/lib, whereas the 64bit libraries are in /usr/X11R6/lib64. I suspect that when you ran Configure, it picked up /usr/X11R6/lib rather than lib64 (so I'm surprised this sort of error hasn't come up before).

To confirm this, could you mail me the config.sh file please? This should be in:

<path where you built Geant4>/.config/bin/Linux-g++/config.sh

I can take a look and see if that's the case - if so, the fix should be reasonably straightforward.

Cheers,

Ben.

Inline Depth:
 1 1
 All All
Outline Depth:
 1 1
 2 2
 All All
Add message: (add)

1 None: Re: Error linking examples: skipping incompatible /usr/X11R6/lib/libXmu.a when searching for -lXmu   (niessen@ifh.de - 29 Aug, 2007)
 Add Message Add Message
to: "Re: Error linking examples: skipping incompatible /usr/X11R6/lib/libXmu.a when searching for -lXmu"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]